package com.jay.monitor.data.server.models.request.trace;

import com.jay.monitor.data.server.anno.ESSearch;
import com.jay.monitor.data.server.enums.ESQuerySyntax;

import java.util.Date;

public class SearchFiledRequest extends PartitionRequest{
    /**
     * 请求时长
     */
    @ESSearch(value = ESQuerySyntax.gt)
    private Long requestTime;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 参数内容
     */
    @ESSearch(value = ESQuerySyntax.like)
    private String jsonContent;

    /**
     * 状态: 客户端返回的状态码
     */
    private Integer status;

    /**
     * 应用监控组
     */
    private String groupName;

    /**
     * 应用监控key
     */
    private String groupKeyName;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    @ESSearch(fieldName = "ip")
    private String applicationIp;

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupKeyName() {
        return groupKeyName;
    }

    public void setGroupKeyName(String groupKeyName) {
        this.groupKeyName = groupKeyName;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }
}
